from datetime import datetime

from django.db import models
from django.contrib.auth.models import User


class Project(models.Model):

    owner = models.ForeignKey(User)
    url = models.URLField()
    name = models.TextField()


class RunLog(models.Model):

    project = models.ForeignKey(Project)
    timestamp = models.DateTimeField(default=datetime.utcnow)
    raw = models.TextField()
